*{
    padding: 0;
    margin: 0;
    font-family: Arial, Helvetica, sans-serif;
    color: black;
    scroll-behavior: smooth;
}
main{
    width: 100%;
    height: 90vh;
    margin-top: 40px;
    padding: 10px;
    box-sizing: border-box;
}
header{
    top: 0;
    width: 100%;
    height: fit-content;
    display: flex;
    justify-content: space-around;
    position:fixed;
    background: white
}
header section{
    width: 10%;
    height: fit-content;
    display: flex;
    justify-content: flex-end;
    padding-right: 20px;
}
header section i{
    width: 40px;
    height: 40px;
    font-size: 40px;
    color: black;
}
nav{
    width: 100%;
    display: flex;
    align-items: center;
}
.menu{
    color: black;
    display: flex;
    width: 100%;
    list-style: none;
    justify-content: space-around;
    align-items: center;
    gap: 15px;
}
.menu a{
    text-decoration: none;
    color: black;
}
.menu li{
    color: black;
}
.menu a:hover{
    transition: 0.3s ease;
    scale: 1.2;
    color: black;
}
.close-menu{
    top: 0;
    left: 0;
    display: none;
    position: absolute;
    width: 40px;
    font-size: 40px;
    height: 40px;
}
.open-menu{
    top: 0;
    left: 10px;
    display: none;
    position: absolute;
    width: 40px;
    font-size: 40px;
    height: 40px;
}
#check, #check2{
    display: none;
}
.carro{
    padding: 20px;
    box-sizing: border-box;
    flex-direction: column;
    align-items: center;
    justify-content: space-between;
    width: 100vh;
    height: 50vh;
    position:fixed;
    top: -100%;
    left: 25%;
    z-index: 100;
    background: white;
    transition:  0.4s ease;
    border: 2px solid black;
}
.carro li a{
        color: black;
        font-size: 30px;
}
.close-cart{
        display: block;
}
#check2:checked~.carro{
        top: 20px;
}
.carro .detalles{
    width: 100%;
    display: flex;
    justify-content: center;
}
.close-cart{
    top: 0;
    left: 0;
    position: absolute;
    width: 40px;
    font-size: 40px;
    height: 40px;
}
.carro .articulos{
    width: 100%;
    height: 30vh;
    border: 2px solid black;
    padding: 5px;
    box-sizing: border-box;
    overflow-y: scroll;
}
.carro .pago{
    margin-top: 10px;
    width: 100%;
    height: 10vh;
    border: 2px solid black;
}
.carro .articulos .articulo{
    width: 100%;
    height: fit-content;
    padding: 5px;
    display: grid;
    grid-template-columns: 1fr 6fr;
    grid-template-rows: 1fr;
    border: 1px solid black;
    border-radius: 10px;
    box-sizing: border-box;
}
.carro .articulos .articulo .image{
    width: 100%;
    object-fit: contain;
    display: flex;
    justify-content: center;
    align-items: center;
}
.carro .articulos .articulo .image img{
    width: 50%;
    border: 1px solid black;
}
.carro .articulos .articulo .detalle .nombre{
    width: 100%;
    display: flex;
    justify-content: space-between;
}
.carro .articulos .articulo .detalle .precios{
    width: 100%;
    display: flex;
    justify-content: space-between;
}
.carro .articulos .articulo .detalle .precios input{
    width: 10vh;
}
.pago .acciones{
    width: 100%;
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    grid-template-rows: 1fr;
    padding: 10px;
}
.pago .acciones div{
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
}
.pago .acciones div label{
    margin-bottom: 10px;
}
.pago .acciones div button{
    width: fit-content;
    font-size: 20px;
    padding: 5px;
    border: 1px solid black;
    background: none;
    border-radius: 10px;
    transition: .2s ease;
}
button:hover{
    scale: 1.1;
}

main section{
    width: 100%;
    height: fit-content;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 20px;
    padding-bottom: 10px;
}
main section .producto{
    width: 100%;
    height: 42vh;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-template-rows: 1fr;
    padding: 10px;
    box-sizing: border-box;
    border: 1px solid black;
}
main section div .imagenes{
    width: 100%;
    height: max-content;
    display: grid;
    grid-template-columns: 1fr 4fr;
    grid-template-rows: 1fr;
}
main section div .imagenes .preview{
    display: flex;
    flex-direction: column;
    width: 100%;
    height: 40vh;
    object-fit: contain;
    justify-content: space-between;
    align-items: center;
}
main section div .imagenes .preview img{
    width: 50%;
    height: fit-content;
    border: 1px solid black;
}
main section div .imagenes .vista{
    width: 100%;
    height: 40vh;
    object-fit: cover;
    display: flex;
    justify-content: center;
    align-items: center;
}
main section div .imagenes .vista img{
    width: 50%;
    border: 1px solid black;
}
main section div .texto{
    width: 100%;
    height: fit-content;
}
main section div .texto p{
    width: 70%;
    margin-bottom: 10px;
}
main section div .texto h1{
    font-size: 30px;
    margin-bottom: 10px;
}
main section div .texto .stars{
    display: flex;
    width: 20%;
    justify-content: space-around;
    margin-bottom: 10px;
}main section div .texto .stars i{
    font-size: 30px;
    color: black;
}
main section div .texto .precio{
    width: 20%;
    display: flex;
    justify-content: space-between;
    margin-bottom: 10px;
}
main section div .texto .precio label{
    font-style: italic;
    font-weight:bold;
    font-size: 20px;
}
main section div .texto button{
    border: 2px solid black;
    padding: 10px;
    border-radius: 10px;
    font-size: 20px;
    transition: .2s ease;
    background: none;
}






@media (width < 800px){
    .menu{
        flex-direction: column;
        align-items: center;
        justify-content: center;
        width: 100%;
        height: 80vh;
        position:fixed;
        gap: 3%;
        top: -100%;
        left: 0;
        z-index: 100;
        background: white;
        transition:  0.4s ease;
    }
    .menu li a{
            color: black;
            font-size: 30px;
    }
    .open-menu, .close-menu{
            display: block;
    }
    #check:checked~.menu{
            top: 0;
    }
    .carro{
        flex-direction: column;
        align-items: center;
        justify-content: center;
        width: 45vh;
        height: 50vh;
        position:fixed;
        gap: 3%;
        top: -100%;
        left: 1vh;
        z-index: 100;
        background: white;
        transition:  0.4s ease;
    }

    main section .producto{
        grid-template-columns: 1fr;
        grid-template-rows: 3fr 1fr;
        height: 60vh;
        width: 100%;
    }
    main section .producto .imagenes{
        height: 30vh;
    }
    main section .producto .imagenes .preview{
        height: 29vh;
    }
    main section .producto .imagenes .vista{
        height: 29vh;
    }
    main section .producto .texto p{
        height: 11vh;
        width: 100%;
    }
    main section .producto .texto h1{
        width: 100%;
        font-size: 20px;
    }
    main section .producto .texto .stars{
        width: 70%;
    }
    main section .producto .texto button{
        font-size: 15px;
        padding: 5px;
    }
    main section .producto .texto .precio{
        width: 100%;
    }
}